3

I'm writing a standalone python script, and I need to use Qgis module. For information i'm working on a Mac and I already have Qgis 2.18 installed. So in list of module importation, I wrote this :

import qgis

But when I run my script, it returns me :

No module named 'qgis'

I search where it comes from, and apparently, it's because I have many python versions installed. And I dont use the one who is connected to Qgis.

I check my python install with this command which -a python python3and it returns :

/opt/local/bin/python
/usr/bin/python
/Library/Frameworks/Python.framework/Versions/3.6/bin/python3
/usr/local/bin/python3

According to python --version I'm using Python 3.4.7

Somebody can help me to use the good one ?

  • Qgis 2.18 installed: how did you install Qgis, KyngChaos, Homebrew, ? – gene Oct 12 '17 at 16:03
  • I used KyngChaos way – Tim C. Oct 13 '17 at 10:06
1

QGIS 2.18 uses python 2.7.

QGIS 3 will use python 3.

  • I used python --version to know my current version. It is Python 3.4.7. So i have to change current version to 2.7 and it will be ok ? How can I do that ? – Tim C. Oct 12 '17 at 14:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.